/*	CA_Browser.h

	Ocean Software, Inc.
	1995
*/

@interface CA_Browser: NXBrowser

/* Attribute Methods */
- controller;
- setController:controller;
- (BOOL)isModelBrowser;
- (BOOL)setIsModelBrowser:(BOOL)isModelBrowser;
- setNumColumns:(int)numColumns;
- (const char *)rootEntityName;
- setRootEntityName:(const char *)entityName;

/* Current Selection Methods */
- (BOOL)selectionIsLeaf;
- (BOOL)selectionIsEntity;
- (BOOL)selectionIsAttribute;
- (BOOL)selectionIsRelationship;
- (BOOL)selectionIsDimpled;
- (BOOL)isSelection;
- selectedObject;
- (const char *)selectionName;
- getPath:(char *)path;

/* Dimple Methods */
- (BOOL)allowDimple;
- setAllowDimple:(BOOL)allowDimple;
- clearDimples;
- clearDimplesAndDisplay;
- (int)numDimples;
- (const char *)index2dimplePath:(int)dIndex;
- (BOOL)isDimplePath:(const char *)dimplePath;
- setDimplePath:(const char *)dimplePath
			andDisplay:(BOOL)display;
- addDimplePath:(const char *)dimplePath
			andDisplay:(BOOL)display;
- removeDimplePath:(const char *)dimplePath
			andDisplay:(BOOL)display;

/* Draw Methods */
- redrawBrowser;

@end


/* Optional methods sent to controller */
@interface Object(CA_BrowserController)
- dataSet;
- browserSelectionChanged:browser;
- browser2list:browser;
- browser2object:browser;
- name2image:(const char *)path
			forBrowser:browser;
- name2altImage:(const char *)path
			forBrowser:browser;
@end
