/*	CA_CalcToken.h

	Ocean Software, Inc.
	1995
*/

#import "CA_CalcToken.h"

@interface CA_CalcToken: Object
{
	BOOL	fIsNull;			// NULL, Non-NULL
	BOOL	fIsCopy;			// Object or string data is a local copy?
	char	fValueType[2];	// single char followed by NULL terminator
	union {
	id			fObject;
	int		fError;
	int		fInt;
	long		fLong;
	float	 	fFloat;
	double	fDbl;
	char		*fString;
	} _value;
}
/* Attribute Methods */
- (BOOL)isError;
- (BOOL)isEqual:value;
- (const char *)valueType;
- setValueType:(const char *)valueType;
- dbvalueFromZone:(NXZone *)zone;
- getDBValue:dbvalue;
- (const char *)getStringValue:(char *)buffer;

/* xxx Methods */
- (BOOL)isError;
- (BOOL)isConstant;
- (BOOL)isNumber;
- (BOOL)isString;
- (BOOL)isDataElt;
- (BOOL)isMinusSign;
- (BOOL)isLeftParen;
- (BOOL)isRightParen;
- (BOOL)isFunction;
- (BOOL)isComma;
- (BOOL)isMathOp;
- (BOOL)isRelationalOp;
- (BOOL)isOperator;
- (BOOL)validArguments;
- function;
- negate;
- (int)precedence;

/* Value Methods */
- (BOOL)isNull;
- setNull;
- (int)intValue;
- setIntValue:(int)anInt;
- (long)longValue;
- setLongValue:(long)longValue;
- (float)floatValue;
- setFloatValue:(float)aFloat;
- (double)doubleValue;
- setDoubleValue:(double)aDouble;
- (const char *)stringValue;
- setStringValue:(const char *)stringValue;
- dataElt;
- setDataElt:dataElt;
- objectValue;
- setObjectValue:anObject;
- setObjectValueNoCopy:anObject;
- setValueFromDBValue:dbvalue;
- setValueFrom:value;
- (int)compare:value;

/* Error Methods */
- (int)error;
- setError:(int)error;
- (const char *)errMsg;

@end


