/*	CA_Component.h

	Ocean Software, Inc.
	1995
*/

#import <appkit/appkit.h>

#define kComponentType_None	0

@interface CA_Component: Object

/* Factory Methods */
+ (int)componentType;
+ (const char *)defaultName;
+ (const char *)fileExtension;
+ (NXAtom)pasteboardType;
+ suitcaseImage;
+ (const char *)suitcaseName;

/* Initialization/Free Methods */
- initWithName:(const char *)name;
- setToDefault;
- (NXAtom)pasteboardType;

/* Container Methods */
- dataSet;
- container;
- setContainer:container;

/* Attribute Methods */
- (BOOL)isDirty;
- setIsDirty:(BOOL)isDirty;
- (BOOL)canOpenAsDocument;
- dragImage;
- (const char *)name;
- setName:(const char *)name;
- (int)componentType;

/* Archive Methods */
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;

@end


