/*	CA_DataAccess_Database.h

	Ocean Software, Inc.
	1995

*/

#import "CA_DataAccess.h"

@interface CA_DataAccess_Database: CA_DataAccess

/* Error Methods */
- (int)errorCode;
- (const char *)errorStr;

/* Attribute Methods */
- (BOOL)allowDBKit;
- (BOOL)allowEOF;
- updateDefaultQueryAttrs;

/* Record Limit Methods */
- (BOOL)retrieveUnlimitedRecords;
- setRetrieveUnlimitedRecords:(BOOL)unlimited;
- (int)recordLimit;
- setRecordLimit:(int)recordLimit;
- (BOOL)recordLimitReached;

/* Abort Panel Methods */
- (BOOL)shouldRunAbortPanel;
- setShouldRunAbortPanel:(BOOL)abort;
- (BOOL)promptWhenRecordLimitReached;				// NEW
- setPromptWhenRecordLimitReached:(BOOL)yn;		// NEW

/* Execute Query Methods */
- executeSQL:(const char *)sql;
- executeQueryNamed:(const char *)queryNamed;
- executeQuery:query;

/* Archive Methods */
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;

@end
