/*	CA_DataElt.h

	Ocean Software, Inc.
	1995
*/

/* Data Kind constants */
#define kDataKind_None	0
#define kDataKind_Model	1
#define kDataKind_Calc	2
#define kDataKind_Agg	3
#define kDataKind_Var	4

// Aggregate Uniquing Attributes
#define kAggUnique_None		0
#define kAggUnique_Records	1
#define kAggUnique_Values	2

@interface CA_DataElt : Object

/* Factory Methods */
+ (NXAtom)pasteboardType;

/* Initialization/Free Methods */
- free;
- copyFromZone:(NXZone *)zone;
- copyDataFrom:srcData;
- (BOOL)isEqual:otherData;
- (BOOL)isCompatibleWithContainer:container;

/* Attribute Methods */
- (BOOL)isUndefined;
- (BOOL)isAggregate;
- (BOOL)containsAggregate:container;
- (BOOL)isCalculation;
- (BOOL)isVariable;
- (int)dataKind;
- setDataKind:(int)dataKind;

/* Name Methods */
- (const char *)name;
- (const char *)shortTitle;
- (const char *)longTitle;
- container2dragImage:container;

/* Aggregate Methods */
- (int)aggregateKind;
- setAggregateKind:(int)aggregateKind;
- (const char *)aggregateFunction;
- setAggregateFunction:(const char *)aggregateFunction;
- filter;
- setFilter:filter;
- (int)aggregateUniquing;
- setAggregateUniquing:(int)aggregateUniquing;

/* Model Methods */
- (const char *)modelPath;
- setModelPath:(const char *)modelPath;

/* Calculation Methods */
- (const char *)calculationName;
- setCalculationName:(const char *)calculationName;
- container2calculation:container;

/* Variable Methods */
- (const char *)variableName;
- setVariableName:(const char *)variableName;

/* Archiving Methods */
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;

@end
