/*	CA_DataSet.h

	Ocean Software, Inc.
	1996
*/

#import "CA_Component.h"

#define	kComponentType_DataSet	1

@class NSArray, NSString, NSDictionary;
@interface CA_DataSet: CA_Component

- databaseDfn;
- setDatabaseDfn:databaseDfn;
- setDefaultExportScenario;
- setDefaultImportScenario;
- importScenarios;
- exportScenarios;

/* Query Methods */
- executeQueryNamed:(const char *)queryName;
- (BOOL)computeAggregatesOnServer;													// NEW
- setComputeAggregatesOnServer:(BOOL)yn;											// NEW

/* v1.1 Data Vending Methods */
- relationPath2attributes:(const char *)relationPath;
- (const char *)modelPath2relationPath:(char *)modelPath;
- relationPath2records:(const char *)relationPath
			sortedBy:(const char *)sortName;
- valueForModelPath:(const char *)modelPath
			atRecordNumber:(unsigned int)recNum;
- deleteRecordNumber:(unsigned int)recNum
			inRelationPath:(const char *)relationPath;

/* Data Vending Methods */
- (NSArray *)keys;																		// NEW
- (NSArray *)relationPaths;															// NEW
- (NSArray *)keysForRelationPath:(NSString *)relationPath;					// NEW
- (int)relationPath2recordCount:(NSString *)relationPath;					// NEW
- (NSDictionary *)valuesForKeys:(NSArray *)keyArray							// NEW
			atRecord:(unsigned int)recNum;
- (BOOL)takeValuesFromDictionary:(NSDictionary *)aDictionary;				// NEW
- (BOOL)takeValuesFromDictionary:(NSDictionary *)aDictionary				// NEW
			forRelationPath:(NSString *)relationPath;

/* Target/Action Methods */
- importFile:sender;
- exportFile:sender;
- executeQuery:sender;

/* DataSet-Layout Attribute Methods */
- (BOOL)containsModel;
- (BOOL)containsData;
- (BOOL)allowEOF;
- (BOOL)allowDBKit;
- (BOOL)isEOF;
- (BOOL)isDBKit;

/* RelationTable Construction Methods */
- reset;
- resetData;

/* Archive Methods */
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;

@end


