/*	CA_Layout.h

	Ocean Software, Inc.
	1995

*/

#import "CA_Component.h"

/* Layout types */
#define kLayoutType_None		0
#define kLayoutType_Label		1
#define kLayoutType_Envelope	2
#define kLayoutType_Form		3
#define kLayoutType_Report		4
#define kLayoutType_List		5
#define kLayoutType_Summary	6
#define kLayoutType_Letter		7

#define kComponentType_Layout	2


@interface CA_Layout : CA_Component

/* Layout View Methods */
- createBrowseView;

/* Attribute Methods */
- (int)layoutType;
- (int)startingPageNumber;
- setStartingPageNumber:(int)pgNumber;

/* Email Methods */
- emailRecipient;
- setEmailRecipient:emailRecipient;
- (const char *)emailSubject;
- setEmailSubject:(const char *)emailSubject;
- (BOOL)emailAutosend;
- setEmailAutosend:(BOOL)emailAutosend;

/* Fax Methods */
- faxNumberElt;
- setFaxNumberElt:faxNumberElt;
- faxRecipient;
- setFaxRecipient:faxRecipient;
- (BOOL)faxReceipt;
- setFaxReceipt:(BOOL)faxReceipt;
- (BOOL)faxFine;
- setFaxFine:(BOOL)faxFine;
- (BOOL)faxTrimPages;
- setFaxTrimPages:(BOOL)faxTrimPages;
- (BOOL)faxCoverSheet;
- setFaxCoverSheet:(BOOL)faxCoverSheet;

/* Filter Methods */
- filter;
- setFilter:filter;

/* Sort Order methods */
- sortOrder;
- setSortOrder:sortOrder;
- (BOOL)hasImpliedSortOrder;
- getImpliedSortOrder:impliedSortOrder;

@end



