/*	CA_Query.h

	Ocean Software, Inc.
	1995
*/

#import "CA_Component.h"

#define	kComponentType_Query	3

@interface CA_Query: CA_Component

- initWithName:(const char *)name;
- setDefaultQuery;
- reset;

/* SQL Text Methods */
- (BOOL)isSQLText;
- setIsSQLText:(BOOL)isSQLText;
- (char *)sqlString;
- setSQLString:(const char *)sqlString;
- (List *)selectAttributes;
- setSelectAttributes:(List *)selectAttributes;
- setTextWithSQL:textObj;
- setSQLFromText:textObj;

/* Attributes Methods */
- makeSelectAll;
- (BOOL)ignoreCase;
- setIgnoreCase:(BOOL)ignoreCase;

/* Variable Query Methods */
- (BOOL)isVariableQuery;
- (BOOL)isMissingVariables;
- (BOOL)runVariablePanel;
- getVariableList:variables;

@end


